Get all seller negotiation bids
get
/fscmRestApi/resources/11.13.18.05/sellerNegotiationBids
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the unique seller negotiation bid using the primary key, which is BidNumber; integer; .
Finder Variables- BidNumber; integer; Value that uniquely identifies the seller's negotiation bid.
- PrimaryKey Finds the unique seller negotiation bid using the primary key, which is BidNumber; integer; .
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- BidNumber; integer; Value that uniquely identifies the seller negotiation bid.
- BidderId; integer; Value that identifies the bidder who responds to the seller's negotiation.
- SellerAuctionHeaderId; integer; Value that uniquely identifies the seller negotiation.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : sellerNegotiationBids
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sellerNegotiationBids-item-response
Type:
Show Source
object-
AwardDate: string
(date)
Read Only:
trueDate when the negotiation award process is complete. -
AwardReason: string
Title:
Award ReasonRead Only:trueMaximum Length:4000Reason provided by the auctioneer for awarding the seller negotiation to bidders. -
Bidder: string
Title:
BidderRead Only:trueMaximum Length:360Name of the bidder who responds to the seller's negotiation. -
BidderContact: string
Title:
Bidder ContactRead Only:trueMaximum Length:255Name of the contact person at the bidder who responds to the seller's negotiation. -
BidderId: integer
(int64)
Read Only:
trueValue that identifies the bidder who responds to the seller's negotiation. -
BidderReferenceNumber: string
Title:
Reference NumberMaximum Length:25Identification number used for the bidder's internal tracking. -
BidderSite: string
Title:
Bidder SiteRead Only:trueMaximum Length:240Name of the bidder site. -
BidderSiteId: integer
(int64)
Read Only:
trueValue that identifies the bidder site. -
BidExpirationDate: string
(date)
Title:
Bid Valid UntilDate on which the bid expires. -
BidNumber: integer
(int64)
Read Only:
trueValue that uniquely identifies the seller negotiation bid. -
BidStatusCode: string
Title:
Bid StatusRead Only:trueMaximum Length:25Abbreviation that identifies the status of the bid. -
CloseDate: string
(date-time)
Title:
Close DateRead Only:trueDate when the negotiation stops accepting bids from bidders. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the seller negotiation bid. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the seller negotiation bid. -
CurrencyCode: string
Title:
CurrencyRead Only:trueMaximum Length:15Abbreviation that identifies the negotiation currency. -
InstructionText: string
(byte)
Title:
InstructionsRead Only:trueText that provides instructions for participants in the seller negotiation. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user last updated the seller negotiation bid. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the seller negotiation bid. -
lines: array
Seller Negotiation Bid Lines
Title:
Seller Negotiation Bid LinesDetails regarding the bids made by participants in a seller negotiation, highlighting the proposed price and quantity for each auction item. These figures illustrate the competitive nature of bidders for specific products in a forward auction. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Negotiation: string
Title:
Seller NegotiationRead Only:trueMaximum Length:240Number that identifies the seller negotiation. -
NegotiationTitle: string
Title:
Negotiation TitleRead Only:trueMaximum Length:80Text that describes the purpose of the negotiation. -
NoteToAuctionOwner: string
Title:
Note to AuctioneerMaximum Length:4000Note that the bidder enters information on behalf of the auction owner when responding to the seller negotiation. -
SellerAuctionHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the seller negotiation. -
TimeRemaining: string
Title:
Time RemainingRead Only:trueMaximum Length:255Indicates the time remaining before the seller negotiation closes. -
TotalAwardAmount: number
Read Only:
trueThe total amount awarded to the bidder.
Nested Schema : Seller Negotiation Bid Lines
Type:
arrayTitle:
Seller Negotiation Bid LinesDetails regarding the bids made by participants in a seller negotiation, highlighting the proposed price and quantity for each auction item. These figures illustrate the competitive nature of bidders for specific products in a forward auction.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sellerNegotiationBids-lines-item-response
Type:
Show Source
object-
BestBidPrice: number
Title:
Best Bid PriceRead Only:trueThe best price quoted for the line item among all the bids. -
BidNumber: integer
(int64)
Read Only:
trueValue that uniquely identifies the seller's negotiation bid. -
BidPrice: number
Title:
Bid PricePrice quoted by the bidder for a line item in the seller negotiation. -
BidQuantity: number
Title:
Bid QuantityQuantity proposed by the bidder for the seller negotiation line. -
BidStartPrice: number
Title:
Start PriceRead Only:trueStarting price at which bidding begins for the line. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the seller negotiation bid line. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the seller negotiation bid line. -
IsReservePriceMetFlag: boolean
Title:
Reserve Price MetRead Only:trueMaximum Length:255Contains one of the following values: true, false, or null. If true, the bidder's bid meets or exceeds the reserve price for the line defined in the seller negotiation. If false, the bid doesn't meet the reserve price. If null, the reserve price hasn't been defined for the line in the seller negotiation. -
Item: string
Title:
ItemRead Only:trueMaximum Length:300Name of the item offered for sale in the seller negotiation. -
ItemRevision: string
Title:
RevisionRead Only:trueMaximum Length:18Value that identifies the revision of the item. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the bid line. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the bid line. -
LineAmount: string
Title:
Line AmountRead Only:trueMaximum Length:255Amount calculated for a line as price times quantity in a bid submitted to a seller negotiation. -
LineDescription: string
Title:
DescriptionRead Only:trueMaximum Length:2500Description of the item offered for sale on the line in the seller negotiation. -
LineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the line in a bid. -
LineNumber: number
Title:
LineRead Only:trueNumber that uniquely identifies the line within the seller negotiation bid. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NoteToAuctionOwner: string
Title:
Note to AuctioneerMaximum Length:4000Note that the bidder enters the information for a particular line on behalf of the auction owner when responding to the seller negotiation. -
Rank: number
Title:
RankRead Only:trueValue that identifies the rank of the bidder's response compared to other competing bids for a particular line. -
SellerAuctionHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the seller negotiation. -
TargetQuantity: number
Title:
Target QuantityRead Only:trueQuantity of the item offered for sale in the seller negotiation. -
UOM: string
Title:
UOM NameRead Only:trueMaximum Length:25Unit of measure of the item in the seller negotiation. -
UOMCode: string
Title:
UOM CodeRead Only:trueMaximum Length:3Abbreviation that identifies the unit of measure of the item in the seller negotiation.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.